[fxruby-users] FXRuby and 64-Bit Windows OS

Lyle Johnson lyle at lylejohnson.name
Tue Mar 2 14:43:38 EST 2010

On Tue, Mar 2, 2010 at 6:49 AM, Alex DeCaria
<Alex.Decaria at millersville.edu> wrote:

> Lyle had responded to my earlier post indicating that it seems to be an
> issue with the FOX Library itself, not the FXRuby wrapper.  I see on the FOX
> Library webpage that over the past year or two they've addressed some 64 vs
> 32 bit issues.  Does FXRuby use the latest version of the FOX library?

The binary gem for FXRuby version 1.6.20 on Windows is built with FOX
1.6.36, which is close to the latest release (version 1.6.37). I don't
see anything in the release notes for 1.6.37 that sound like they
would address this problem, though.

> Are there any workarounds?

That's hard to say without really knowing what's going on. It's
usually helpful in cases like this to post some code that reproduces
the problem, so that anyone who's interested can at least attempt to
diagnose the problem. If I can reproduce it on my Mac OS X notebook, I
might be able to come up with a fix, but I don't even have access to a
64-bit Windows environment for testing your particular configuration.

More information about the fxruby-users mailing list